Skip to content

List account notifications

GET/v1/notifications

Unread by default. Newest activity first; concurrent activity can move an item ahead of a page cursor. Listing does not mark read.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

accountId?string

Owner/admin inspection target; defaults to self.

Format:uuid
filter?string
Default:"unread"
Value in:
  • "unread"
  • "all"
limit?integer
Range:1 <= value <= 100
Default:50
after?string
Length:length <= 512

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/notifications"
{
  "notifications": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "subject": {
        "kind": "mail_message",
        "mailboxId": "f16f762c-c61b-441d-8b9c-9aff4650cbe1",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "reason": "mail_received",
      "position": "string",
      "updatedAt": "2019-08-24T14:15:22Z",
      "read": true
    }
  ],
  "nextCursor": "string"
}